ForceFields::ForceFieldContrib Class Referenceabstract

abstract base class for contributions to ForceFields More...

`#include <Contrib.h>`

Inheritance diagram for ForceFields::ForceFieldContrib:

## Public Member Functions

| ForceFieldContrib ()
| ForceFieldContrib (ForceFields::ForceField *owner)
virtual | ~ForceFieldContrib ()
virtual double | getEnergy (double *pos) const =0
| returns our contribution to the energy of a position More...
virtual void | getGrad (double *pos, double *grad) const =0
| calculates our contribution to the gradients of a position More...
virtual ForceFieldContrib * | copy () const =0
| return a copy More...

## Protected Attributes

ForceField * | dp_forceField
| our owning ForceField More...

## Friends

class | ForceField

## Detailed Description

abstract base class for contributions to ForceFields

Definition at line 18 of file Contrib.h.

## Constructor & Destructor Documentation

## ForceFieldContrib() [1/2]

ForceFields::ForceFieldContrib::ForceFieldContrib | ( |  | ) |

inline

Definition at line 22 of file Contrib.h.

## ForceFieldContrib() [2/2]

ForceFields::ForceFieldContrib::ForceFieldContrib | ( | ForceFields::ForceField * | owner | ) |

inline

Definition at line 23 of file Contrib.h.

## ~ForceFieldContrib()

virtual ForceFields::ForceFieldContrib::~ForceFieldContrib | ( |  | ) |

inline virtual

Definition at line 24 of file Contrib.h.

## Member Function Documentation

## copy()

virtual ForceFieldContrib* ForceFields::ForceFieldContrib::copy | ( |  | ) | const

pure virtual

return a copy

Implemented in ForceFields::UFF::TorsionAngleContrib, ForceFields::MMFF::EleContrib, ForceFields::CrystalFF::TorsionAngleContribM6, DistGeom::FourthDimContrib, ForceFields::MMFF::TorsionConstraintContrib, ForceFields::UFF::AngleBendContrib, ForceFields::UFF::TorsionConstraintContrib, ForceFields::MMFF::AngleConstraintContrib, ForceFields::MMFF::TorsionAngleContrib, ForceFields::UFF::vdWContrib, ForceFields::MMFF::DistanceConstraintContrib, ForceFields::MMFF::StretchBendContrib, ForceFields::UFF::AngleConstraintContrib, ForceFields::UFF::DistanceConstraintContrib, DistGeom::ChiralViolationContrib, ForceFields::UFF::InversionContrib, ForceFields::MMFF::AngleBendContrib, ForceFields::MMFF::BondStretchContrib, ForceFields::MMFF::OopBendContrib, ForceFields::MMFF::PositionConstraintContrib, ForceFields::UFF::PositionConstraintContrib, DistGeom::DistViolationContrib, ForceFields::UFF::BondStretchContrib, and ForceFields::MMFF::VdWContrib.

## getEnergy()

virtual double ForceFields::ForceFieldContrib::getEnergy | ( | double * | pos | ) | const

pure virtual

returns our contribution to the energy of a position

Implemented in ForceFields::UFF::TorsionAngleContrib, ForceFields::MMFF::EleContrib, ForceFields::CrystalFF::TorsionAngleContribM6, ForceFields::MMFF::TorsionConstraintContrib, ForceFields::UFF::AngleBendContrib, ForceFields::UFF::TorsionConstraintContrib, ForceFields::MMFF::TorsionAngleContrib, ForceFields::UFF::vdWContrib, ForceFields::MMFF::StretchBendContrib, ForceFields::MMFF::AngleConstraintContrib, ForceFields::MMFF::DistanceConstraintContrib, ForceFields::UFF::AngleConstraintContrib, ForceFields::UFF::DistanceConstraintContrib, ForceFields::MMFF::AngleBendContrib, ForceFields::UFF::InversionContrib, DistGeom::ChiralViolationContrib, ForceFields::MMFF::OopBendContrib, ForceFields::MMFF::PositionConstraintContrib, ForceFields::UFF::PositionConstraintContrib, ForceFields::MMFF::BondStretchContrib, DistGeom::DistViolationContrib, ForceFields::MMFF::VdWContrib, ForceFields::UFF::BondStretchContrib, and DistGeom::FourthDimContrib.

## getGrad()

virtual void ForceFields::ForceFieldContrib::getGrad | ( | double * | pos,
|  | double * | grad
| ) |  | const

pure virtual

calculates our contribution to the gradients of a position

Implemented in ForceFields::UFF::TorsionAngleContrib, ForceFields::MMFF::EleContrib, ForceFields::CrystalFF::TorsionAngleContribM6, ForceFields::MMFF::TorsionConstraintContrib, ForceFields::UFF::TorsionConstraintContrib, ForceFields::UFF::AngleBendContrib, ForceFields::MMFF::TorsionAngleContrib, ForceFields::UFF::vdWContrib, ForceFields::MMFF::AngleConstraintContrib, ForceFields::MMFF::DistanceConstraintContrib, ForceFields::MMFF::StretchBendContrib, ForceFields::UFF::AngleConstraintContrib, ForceFields::UFF::DistanceConstraintContrib, DistGeom::FourthDimContrib, DistGeom::ChiralViolationContrib, ForceFields::UFF::InversionContrib, ForceFields::MMFF::AngleBendContrib, ForceFields::MMFF::OopBendContrib, ForceFields::MMFF::PositionConstraintContrib, ForceFields::UFF::PositionConstraintContrib, ForceFields::MMFF::BondStretchContrib, DistGeom::DistViolationContrib, ForceFields::UFF::BondStretchContrib, and ForceFields::MMFF::VdWContrib.

## Friends And Related Function Documentation

## ForceField

friend class ForceField

friend

Definition at line 20 of file Contrib.h.

## Member Data Documentation

## dp_forceField

ForceField* ForceFields::ForceFieldContrib::dp_forceField

protected

our owning ForceField

Definition at line 36 of file Contrib.h.

The documentation for this class was generated from the following file:

- Contrib.h